petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSAddDiscretization

Adds a discretization object

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSAddDiscretization(PetscDS prob, PetscObject disc)

Not collective

### Input Parameters

| prob | - The PetscDS object
| disc | - The boundary discretization object

### See Also

PetscDSGetDiscretization(), PetscDSSetDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages